## Summary

_Please provide a brief description of the issue_

## Type of Issue

_Is this a 'Bug Report' or a 'Suggestion for an Enhancement'?_

## Detailed Description (Enhancement Suggestion)

_Explain how you would like to see LAMMPS enhanced, what feature(s) you are looking for, provide references to relevant background information, and whether you are willing to implement the enhancement yourself or would like to participate in the implementation_

## LAMMPS Version (Bug Report)

_Please specify which LAMMPS version this issue was detected with. If this is not the latest development version, please stop and test that version, too, and report it here if the bug persists_

## Expected Behavior (Bug Report)

_Describe the expected behavior. Quote from the LAMMPS manual where needed or explain why the expected behavior is meaningful, especially when it differs from the manual_

## Actual Behavior (Bug Report)

_Describe the actual behavior, how it differs from the expected behavior, and how this can be observed. Try to be specific and do **not* use vague terms like "doesn't work" or "wrong result". Do not assume that the person reading this has any experience with or knowledge of your specific research._

## Steps to Reproduce (Bug Report)

_Describe the steps required to quickly reproduce the issue. You can attach (small) files to the section below or add URLs where to download an archive with all necessary files. Please try to create input that are as small as possible and run as fast as possible. NOTE: the less effort and time it takes to reproduce your issue, the more likely, that somebody will look into it._

## Further Information, Files, and Links

_Put any additional information here, attach relevant text or image files and URLs to external sites, e.g. relevant publications_
